// @use imports the Angular Material theme functions and mixins
// @use declarations need to be made before any @import or @include statements
@use '@angular/material' as mat;
@include mat.core();

// Import the custom palettes
@import './palettes/mpa-pt-blue-palette.scss';
@import './palettes/mdoa-grey-palette.scss';
@import './palettes/mpa-pt-red-palette.scss';

// Define the palettes
$mpa-pt-primary: mat.m2-define-palette($md--mdoagrey);
$mpa-pt-accent: mat.m2-define-palette(mat.$m2-mpaptblue, 500, 200, 900);
$mpa-pt-warn: mat.m2-define-palette(mat.$m2-mpaptred);

// Define the theme
$mpa-pt-theme: mat.m2-define-light-theme(
  (
    color: (
      primary: $mpa-pt-primary,
      accent: $mpa-pt-accent,
      warn: $mpa-pt-warn,
    ),
  )
);

// style settings for the complete app
html,
body {
  margin: 0;
  height: 100%;
  font-family: Roboto, 'Helvetica Neue', sans-serif;
}
